import { ethers } from 'ethers';
export declare class TracingClient {
    _providerUrl: string;
    _provider: ethers.providers.JsonRpcProvider;
    constructor(providerUrl: string);
    getTx(txHash: string): Promise<ethers.providers.TransactionResponse>;
    getTxTrace(txHash: string, tracer: string | undefined, timeout: string | undefined): Promise<any>;
    getCallTrace(block: string, txData: any, tracer: string | undefined): Promise<any>;
}
